 LIST P=16F877
 #INCLUDE "P16F877.INC"
 __CONFIG _XT_OSC&_CP_OFF&_WDT_OFF&_LVP_OFF
	CBLOCK	0x20			;A 0x20 egy szabad memria rsz kezd cme
	T1
	T2
	T3
	ENDC

	ORG	0

START
	BSF	STATUS,RP0			;BANK1-be tlpnk
	;PORTA Digitlis I/O-v ttel
	MOVLW	0x06			
	MOVWF	ADCON1			;Mindegyik PORTA digitlis
	MOVLW	B'00011111'		;Betltjk az akksiba a TRISA-ba irandt
	MOVWF	TRISA			;Belltjuk a PORTA-t bemenetre (berjuk a TRISA-ba)
	MOVLW	B'00000000'		;Betltjk az akksiba a TRISD-be valt
	MOVWF	TRISD			;Beletltjk (mind kimenet a nulla miatt)
	BCF	STATUS,RP0			;BANK0-ba visszalpnk

FUTOFENY					;Ez egy label
	MOVLW	B'10000000'		;Betltjk a W-be (akkumultorba) a kirand adatot
	MOVWF	PORTD			;Akkumultorbl kirjuk a PORTD-re
	CALL	DELAY			;Vrunk
	MOVLW	B'01000000'		;jra betltjk a W-be az j adatot
	MOVWF	PORTD			;stbstb.
	CALL	DELAY
	MOVLW	B'00100000'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'00010000'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'00001000'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'00000100'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'00000010'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'00000001'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'00000010'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'00000100'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'00001000'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'00010000'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'00100000'
	MOVWF	PORTD
	CALL	DELAY
	MOVLW	B'01000000'
	MOVWF	PORTD
	CALL	DELAY
	GOTO	FUTOFENY		;Visszaugrunk a legelejre

DELAY						;Delay labelje
	MOVLW	d'100'			
	MOVWF	T1				;T1-be bekerl a 200
DEL
	MOVLW	d'255'
	MOVWF	T2				;T2-be bekerl a 255
DEL1
	MOVLW	d'20'
	MOVWF	T3				;T3-ba bekerlt a 10
DEL2
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	DECFSZ	T3,f			;Cskkenti a T3-at, addg, amig nem nulla
	GOTO	DEL2			; mindig visszaugruk a DEL2-re, vagyis a sok NOP-ra
	DECFSZ	T2,f			;Ha mr nulla, akkor ugyanez eljtszdik a T2-vel
	GOTO	DEL1
	DECFSZ	T1,f			;Majd a T1-el is
	GOTO	DEL
	RETURN					;Visszatr a DELAY szubrutinbl
 	END						;Teljes program vgt jelent END